lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kudan/version'

Gem::Specification.new do |spec|
  spec.name          = 'kudan'
  spec.version       = Kudan::VERSION
  spec.authors       = ['taki3']
  spec.email         = ['taki3@users.noreply.github.com']
  spec.summary       = 'Allow retry code blocks'
  spec.homepage      = 'https://github.com/ayindi/kudan'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.4.0'

  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
