# Kudan

[![CircleCI](https://circleci.com/gh/ayindi/kudan.svg?style=svg)](https://circleci.com/gh/ayindi/kudan)

Allow retry code blocks.

## Requirements

- Ruby 2.4.0 or higher

## Usage

```ruby
require 'kudan'

Kudan.retryable(tries: 2, sleep_seconds: 0) do
  -- snip --
end
```

## Options

| item          | mean                          | default value |
|:--------------|:------------------------------|:--------------|
| tries         | Time to tries                 | 2             |
| sleep_seconds | Sleep seconds between retries | 1             |
